"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = __importDefault(require("../utils"));
const predicate_1 = __importDefault(require("./predicate"));
const unwrap = (wrap) => (wrap ? wrap[0][0] : '');
const toHaveEmitted = (actual, expected, payload) => {
    const pass = predicate_1.default(actual.emitted(), expected, payload);
    const { passMessage, failMessage } = utils_1.default('toHaveEmitted', (value) => `Expected wrapper${value ? ` ${value}` : ''} to have emitted:`);
    if (payload && actual.emitted(expected)) {
        return {
            pass,
            message: pass
                ? passMessage(unwrap(actual.emitted(expected)), { [expected]: payload })
                : failMessage(unwrap(actual.emitted(expected)), { [expected]: payload }),
        };
    }
    const actualEvents = Object.keys(actual.emitted()).join(', ');
    return {
        pass,
        message: pass ? passMessage(actualEvents, expected) : failMessage(actualEvents, expected),
    };
};
exports.default = {
    toHaveEmitted,
    toHaveEmittedPayload: toHaveEmitted,
};
