"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jest_matcher_utils_1 = require("jest-matcher-utils");
exports.default = (matcher, messageCB) => {
    const passMessage = (actual, expected) => () => `
  ${jest_matcher_utils_1.matcherHint(`.not.${matcher}`)}\n\n
  ${messageCB('not')}\n
    ${jest_matcher_utils_1.printExpected(expected)}\n
  received:
    ${jest_matcher_utils_1.printReceived(actual)}
  `;
    const failMessage = (actual, expected) => () => `
  ${jest_matcher_utils_1.matcherHint(`.${matcher}`)}\n\n
  ${messageCB('')}\n
    ${jest_matcher_utils_1.printExpected(expected)}\n
  received:
    ${jest_matcher_utils_1.printReceived(actual)}
  `;
    return { passMessage, failMessage };
};
